Bug 442113 - Need to wait longer for HAL to come up during install
Need to wait longer for HAL to come up during install
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-04-11 15:37 EDT by Orion Poplawski
Modified: 2008-06-21 16:24 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-06-21 16:24:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2008-04-11 15:37:08 EDT
Description of problem:

This is a successor problem to bug #441598.  Before, rhpxl would crash if HAL
wasn't ready by the time it wanted to connect to it.  Now it doesn't crash, but
it fails to find any video hardware:

11:32:34 INFO    : No video hardware found, assuming headless

This results in a runlevel 3 system, even though I specify the following in my
kickstart file:

xconfig --startxonboot --defaultdesktop=KDE

I'm not sure if rhpxl should wait for HAL, or if anaconda should wait for HAL
before probing for hardware, so I'm filing against anaconda for now.

Version-Release number of selected component (if applicable):
Comment 1 Jeremy Katz 2008-04-11 16:11:22 EDT
Can you try with the updates.img at
http://katzj.fedorapeople.org/updates-waitforhal.cgz and see if it helps?  If
so, it should say how long it waited on tty1
Comment 2 Orion Poplawski 2008-04-11 16:37:25 EDT
That helps.  Waited 7 seconds.
Comment 3 Jeremy Katz 2008-04-11 16:48:00 EDT
Okay, committed and pushed.  Thanks for the quick feedback
Comment 4 Bug Zapper 2008-05-14 05:19:50 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:

Note You need to log in before you can comment on or make changes to this bug.